Loading...
Searching...
No Matches
AtomPairGenerator.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/Fingerprints/FingerprintGenerator.h>`
`#include <GraphMol/Fingerprints/FingerprintUtil.h>`

Go to the source code of this file.

## Classes

class | RDKit::AtomPair::AtomPairAtomInvGenerator
class | RDKit::AtomPair::AtomPairArguments
| class that holds atom-pair fingerprint specific arguments More...
class | RDKit::AtomPair::AtomPairAtomEnv< OutputType >
| class that holds atom-environment data needed for atom-pair fingerprint generation More...
class | RDKit::AtomPair::AtomPairEnvGenerator< OutputType >
| class that generates atom-environments for atom-pair fingerprint More...

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::AtomPair

## Functions

template<typename OutputType >

RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > *

RDKit::AtomPair::getAtomPairGenerator (const unsigned int minDistance=1, const unsigned int maxDistance=maxPathLen - 1, const bool includeChirality=false, const bool use2D=true, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, const bool useCountSimulation=true, const std::uint32_t fpSize=2048, const std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, const bool ownsAtomInvGen=false)

| helper function that generates a /c FingerprintGenerator that generates atom-pair fingerprints
template<typename OutputType >
FingerprintGenerator< OutputType > * | RDKit::AtomPair::getAtomPairGenerator (const AtomPairArguments &args, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, const bool ownsAtomInvGen=false)
| overload